> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Trust Network Proof of Address Signature

> Retrieves the TRUST-compatible encoded signature for a proof of address transaction. Send this signature directly to TRUST for verification.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /screening/travel_rule/providers/trust/proof_of_address/{transactionId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/travel_rule/providers/trust/proof_of_address/{transactionId}:
    get:
      tags:
        - Travel Rule
      summary: Retrieve Trust Network Proof of Address Signature
      description: >-
        Retrieves the TRUST-compatible encoded signature for a proof of address
        transaction. Send this signature directly to TRUST for verification.
      operationId: getTrustProofOfAddress
      parameters:
        - in: path
          name: transactionId
          required: true
          description: Fireblocks transaction ID (UUID format)
          example: 550e8400-e29b-41d4-a716-446655440000
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Encoded signature retrieved successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustProofOfAddressResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TrustProofOfAddressResponse>> =
            fireblocks.travelRule.getTrustProofOfAddress(travelRuleApiGetTrustProofOfAddressRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TrustProofOfAddressResponse>> response
            = fireblocks.travelRule().getTrustProofOfAddress(transactionId);
        - lang: Python
          source: >-
            response =
            fireblocks.travel_rule.get_trust_proof_of_address(transaction_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    TrustProofOfAddressResponse:
      type: object
      description: Response containing the TRUST-compatible encoded signature
      properties:
        transactionId:
          type: string
          format: uuid
          description: Transaction ID from Fireblocks (UUID format)
          example: 550e8400-e29b-41d4-a716-446655440000
        status:
          $ref: '#/components/schemas/TypedMessageTransactionStatusEnum'
        signature:
          type: string
          description: >
            TRUST-compatible encoded signature for proof of address
            verification.
          example: >-
            0x6e6e0da016d49d2eaeefb2ce49efcde627151ce03d3e525963aa541ce07fb41c0f1f70d131f160480b4a68aaefbdae1b6fe3765eee3ceff0a8b47a8c979ccd961c
      required:
        - transactionId
        - status
        - signature
    TypedMessageTransactionStatusEnum:
      type: string
      description: >-
        Status of the typed message transaction from Fireblocks. For details,
        see [Primary transaction
        statuses](https://developers.fireblocks.com/reference/primary-transaction-statuses)
      enum:
        - SUBMITTED
        - QUEUED
        - PENDING_SIGNATURE
        - PENDING_AUTHORIZATION
        - PENDING_3RD_PARTY_MANUAL_APPROVAL
        - PENDING_3RD_PARTY
        - BROADCASTING
        - PENDING_AML_SCREENING
        - CONFIRMING
        - PARTIALLY_COMPLETED
        - PENDING_EMAIL_APPROVAL
        - CANCELLED
        - REJECTED
        - FAILED
        - TIMEOUT
        - BLOCKED
      example: PENDING_SIGNATURE
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````